#ifndef DISPLAYLIB_HPP
#define DISPLAYLIB_HPP

#include <U8g2lib.h>

class DisplayLib {
    public: 
        void updateDisplay(const char* title, const char* detail);
        void welcomeScreen();
        void clearDisplay();
        void initDisplay();
        void displayError(const char* error);
        void displayMessage(const char* message);
        void printMessage(const char* message, int x, int y);
        void printMessage(const char* message, int x, int y, int size);
        void printMessage(const String message, int x, int y);
        void printMessage(const String message, int x, int y, int size);
        void sendBuffer();
};

#endif